From: <a href="/blend/av.cgi?id=1988">Edmundo Daudi</a><BR>
Date: 1 October 2010<P>

Ladyfoxfire, yes you are correct.  They are locked in the phenomenon of humanity like the rest of us. And of course, the result of accepting that is that nobody has the answer, because there aren't any. Maybe Buddists have some kind of answer, which is, I think, don't ask the question. <BR>
<BR>
I liked your poem, and seems like I had a visceral response to it.  Hope that is ok.<BR>
<BR>
David
<HR>
From: <a href="/blend/av.cgi?id=1988">Edmundo Daudi</a><BR>
Date: 1 October 2010<P>

Actually, I should express one more thing Ladyfoxfire.  I actually really love evolutionary phycology for a few different reasons.  One being that it is honest, another that it is absolutely fascinating, and three, it clarifies, in an honest and uncorrupted way, the complexity and miraculousness the reality of human existence from a objective rational perspective.  And thirdly, I think that without it, and its helping me to find a way to trust some true human knowledge about me and my my species, I don't think I would ever have found the courage to be a poet, or any other kind of aspiring artist,  dancer, drummer, writer.  EP clarified for me what I and everyone else is in my species, ie homosapien,  and that was extremely powerful for me and influenced my choices to take risks and strive to be... just a cave dweller  who wants to make something beautiful, and wants respect and piece, who would rather have friends than enemies, who knows that all of us are the same without being copies, and who can bite if it has too, and who will die soon, what ever its age. 
<HR>